// 微信登录授权地址
const wxAuthorizeUrl = 'https://open.weixin.qq.com/connect/oauth2/authorize'
// 新河池测试  接口地址域名
// 分享图片地址
let href = window.location.href.split('?')[0]
let hrefIndex = href.indexOf('/pages')
var shareImgUrl = href.substring(0, hrefIndex) + '/images/logo.png';
// 老接口域名地址
var apiOldUrl = 'http://slb2.hechi.dingtoo.com/'
// 新接口域名地址
var apiNewUrl = 'http://xjk4.toutiaohechi.com/'

// 默认查询站点ID
var StID = 0
var IsShowDown = true   // 是否显示下载app条
var topTitle = "河池融媒"
var bottomTitle = "河池融媒"
var bottomRemark = "新闻+政务/服务/商务"
var shareDesc = "新闻+政务/服务/商务"
// 获取后台分享页图标
if (sessionStorage.getItem('LogoUrl') == null || sessionStorage.getItem('LogoUrl') == undefined || sessionStorage.getItem('LogoUrl') == null) {
  getLogoUrl()
} else {
  shareImgUrl = sessionStorage.getItem('LogoUrl')
}

// 公共控制底部下载条显示和文字
if (IsShowDown) {
  if (document.querySelector('.flex-box')) {
    document.querySelector('.flex-box').style.display = 'flex'
    document.querySelector('.flex-box .d-logo img').src = shareImgUrl
    document.querySelector('.flex-box .d-title .j-downloadTitle').innerHTML = bottomTitle
    document.querySelector('.flex-box .d-title .j-downloadDesc').innerHTML = bottomRemark
  }
  $("#Div2").click(function () {
    $(".flex-box").css("display", "none")
  })
} else {
  if (document.querySelector('.flex-box')) {
    document.querySelector('.flex-box').style.display = 'none'
    document.querySelector('.flex-box .d-logo img').src = shareImgUrl
    document.querySelector('.flex-box .d-title .j-downloadTitle').innerHTML = bottomTitle
    document.querySelector('.flex-box .d-title .j-downloadDesc').innerHTML = bottomRemark
  }

}

/****公共的方法或参数***** */
//加载动画特效 opts 可从网站在线制作 http://spin.js.org/
var opts = {
  // innerImage: { url: '../img/logo.png', width: 30, height: 30 }, //内部图片            
  lines: 13, // 花瓣数目
  length: 8, // 花瓣长度
  width: 3, // 花瓣宽度
  radius: 8, // 花瓣距中心半径
  corners: 1, // 花瓣圆滑度 (0-1)
  rotate: 0, // 花瓣旋转角度
  direction: 1, // 花瓣旋转方向 1: 顺时针, -1: 逆时针
  color: '#b9b7b8', // 花瓣颜色5882FA
  speed: 1, // 花瓣旋转速度
  trail: 60, // 花瓣旋转时的拖影(百分比)
  shadow: false, // 花瓣是否显示阴影
  hwaccel: false, //spinner 是否启用硬件加速及高速旋转            
  className: 'spinner', // spinner css 样式名称
  zIndex: 2e9, // spinner的z轴 (默认是2000000000)
  top: 'auto', // spinner 相对父容器Top定位 单位 px
  left: 'auto', // spinner 相对父容器Left定位 单位 px
  position: 'relative', // element position
  progress: true, // show progress tracker
  progressTop: 0, // offset top for progress tracker
  progressLeft: 0 // offset left for progress tracker
};

function getUrlParam (name) {
  var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)"); //构造一个含有目标参数的正则表达式对象
  var r = window.location.search.substr(1).match(reg); //匹配目标参数
  if (r != null) return unescape(r[2]);
  return null; //返回参数值
}
// APP下载地址
function jump () {
  var u = navigator.userAgent, app = navigator.appVersion;
  var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
  var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
  if (isAndroid == 1) {
    // 替换安卓下载地址
    window.location.href = "./AppDown.html"

  }
  else (
    // 替换苹果ios的下载地址
    window.location.href = "./AppDown.html"
  )
}

// 根据接口获取分享页Logo
function getLogoUrl () {
  const params = {
    code: 100001,
    stid: StID
  }
  $.ajax({
    type: 'get',
    url: apiNewUrl + "api/dic/getinfobycode",
    data: params,
    cache: true,
    async: false,
    dataType: 'json',
    /*跨域数据类型jsonp不是json而是以一种script形式返回*/
    jsonp: 'jsonpCallback',
    /*重写回调函数名*/
    jsonpCallback: 'callback',
    /*重写回调函数名指定服务端返回的callback名*/
    success: function (res) { /*成功回调函数*/
      const list = res.Data.ValueList
      if (list.length > 0) {
        // 获取编辑/一审字典数据下拉
        const Logo = list.find((item) => {
          return item.Value == "Logo";
        });
        if (Logo) {
          shareImgUrl = Logo.Key
          // 将获取的LogoUrl存储在本地
          localStorage.setItem('LogoUrl', shareImgUrl)
        }

      }
    },
    error: function () { /*失败回调函数*/
      console.log('error');
    }
  });
}


function getDateTimeStamp (dateStr) {
  return Date.parse(dateStr.replace(/-/gi, "/"));
}
function getDateDiff (dateTimeStamp, CreateTime) {
  var minute = 1000 * 60;
  var hour = minute * 60;
  var day = hour * 24;
  var halfamonth = day * 15;
  var month = day * 30;
  var now = new Date().getTime();
  var diffValue = now - dateTimeStamp;
  if (diffValue < 0) { return; }
  var monthC = diffValue / month;
  var weekC = diffValue / (7 * day);
  var dayC = diffValue / day;
  var hourC = diffValue / hour;
  var minC = diffValue / minute;
  if (monthC >= 1) {
    result = CreateTime;
  }
  else if (weekC >= 1) {
    result = CreateTime;
  }
  else if (dayC >= 1) {
    result = "" + parseInt(dayC) + "天前";
  }
  else if (hourC >= 1) {
    result = "" + parseInt(hourC) + "小时前";
  }
  else if (minC >= 1) {
    result = "" + parseInt(minC) + "分钟前";
  } else
    result = "刚刚";
  return result;
}
